#### F4PWD

#### Synopsis

    HELP:   FLAM password decryption
    TYPE:   OBJECT
    SYNTAX: F4PWD(PASSWORD/CRYPTOKEY='bin'/DEFAULT)

#### Description

Uses a password for FLAM4 password-based decryption. If you provide no password, a hardcoded default password is used.

Passwords can be provided in four different ways:

- In hexadecimal format (recommended): `password=x'hex'`
- In ASCII format: `PASSWORD=a'ascii'`
- In EBCDIC format: `PASSWORD=e'ebcdic'`
- In local charset: `PASSWORD='system'`

Don't use the local charset variant if you wish to open the file on different platforms.

IMPORTANT: Encrypting using the default password is strongly discouraged in production as this equals using a publicly known password! The data is merely obfuscated.

To prevent passwords from being logged and for a better protection, we recommend to store passwords in files and use that password file instead passing the password directly.

       DECRYPT.F4PWD(PASSWORD=f'pwd.txt')

In a password file, you can define the password in one of the variants described above.

#### Arguments

- `STRING: PASSWORD/CRYPTOKEY='bin'/DEFAULT - Passphrase to encrypt the FLAMFILE ['********']`
  - `DEFAULT - FLAM4 default password`